<< synthesis | FOSSEE_Signal_Processing_Toolbox | tf2zp >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > tf2sos

# tf2sos

This function converts direct-form filter coefficients to series second-order sections.

### Syntax

    [sos] = tf2sos (b, a)
    [sos, g] = tf2sos (b, a)

### Parameters

b:

  matrix of real numbers

a:

  matrix of real numbers

### Description

This function converts direct-form filter coefficients to series second-order sections. The input parameters b and a are vectors specifying the digital filter H(z) = B(z)/A(z). The output is the sos matrix and the overall gain. If there is only one output argument, the overall filter gain is applied to the first second-order section in the sos matrix.

### Examples

    tf2sos([1,2,3,4,5,6],2)

### See also

- zp2sos — This function converts filter poles and zeros to second-order sections.
- tf2zp — Transfer function to zero pole conversion

Report an issue
<< synthesis | FOSSEE_Signal_Processing_Toolbox | tf2zp >>